Subject: HP-UX 11i

From: Don Newcomer <[email-masked]>
Date: Wed, 5 Nov 2003 14:47:15 -0500 (EST)

I'm trying to compile Pine 4.58 on my new HP zx2000 workstation running
HP-UX 11i.  I'm brand new to HP-UX (that's the purpose behind getting the
workstation ) so I'm having a lot of trouble after spending years in a
Tru64 environment.  This is complicated by the fact that getting a
workstation with HP-UX pre-loaded gives you a stripped down version of the
C compiler.  At any rate, when I try a 'build hpx', it runs awhile and then
dies on the following error:

ld: Can't find library or mismatched ABI for -lnet
Fatal error.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
+---------------------------------------------+
| Problems building c-client                  |
|                                             |
| Please check the output above for a         |
| possible explanation for this failure       |
+---------------------------------------------+

According to the 'ld' man pages, it's looking for libnet in /usr/lib/hpux32
and /usr/llib/hpux64.  I found 'libnet.a' in /usr/conf/lib.  I even tried
setting the LPATH environment variable and included all three paths in the
definition to no avail.  The port documentation only lists HP-UX version
10.  Has anyone managed to compile Pine under HP-UX 11i and, if so, what's
the secret?  Thanks in advance.

================================================================================
Don Newcomer                                            Dickinson College
Associate Director, System and Network Services		P.O. Box 1773
[email-masked]                                  Carlisle, PA  17013
                                                        Phone: (717) 245-1256
                                                          FAX: (717) 245-1690

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------